Package com.independentsoft.msg

# Enum Class TaskStatus

java.lang.Object
java.lang.Enum<TaskStatus>
com.independentsoft.msg.TaskStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskStatus>`, `Constable`

public enum TaskStatus extends Enum<TaskStatus>
Identifies the status types of a task item.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  Specifies that the task is completed.
  `DEFERRED`
  Specifies that the task is deferred.
  `IN_PROGRESS`
  Specifies that the task is in progress.
  `NONE`
  None.
  `NOT_STARTED`
  Specifies that the task is not started.
  `WAITING_ON_OTHERS`
  Specifies that the task is waiting on others.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskStatus`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_STARTED

    public static final TaskStatus NOT_STARTED
    Specifies that the task is not started.

  - ### IN_PROGRESS

    public static final TaskStatus IN_PROGRESS
    Specifies that the task is in progress.

  - ### COMPLETED

    public static final TaskStatus COMPLETED
    Specifies that the task is completed.

  - ### WAITING_ON_OTHERS

    public static final TaskStatus WAITING_ON_OTHERS
    Specifies that the task is waiting on others.

  - ### DEFERRED

    public static final TaskStatus DEFERRED
    Specifies that the task is deferred.

  - ### NONE

    public static final TaskStatus NONE
    None.

- ## Method Details

  - ### values

    public static TaskStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskStatus valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null